c
c	nodeprog.f 1.3 92/07/01 15:25:04
c
c  Copyright 1991 Intel Corporation, Inc.
c  See the "Copyright" file for complete rights and liability information.
c
c  Part 2 of 2:
c    Runs on all nodes.
c    Sends greeting to host.
c    Loaded by the host program defined in the file attachcube1.f

      program nodeprog

      integer      iam, hostid
      character*80 msg

c  Identify self.

      iam = mynode()

c  Identify host.

      hostid = myhost()

c  Send greeting to host.

      write(msg, 100) iam
100   format('Hello from node ', i2, '.')

      call csend(10, msg, len(msg), hostid, 100)

      write (*, 200) iam, msg
200   format('Node ', i2, ' sent: ', a)

      end
